Update Project
PUThttps://api.confident-ai.com/v1/projects/{projectId}
Updates an existing project's name or description.
curl -X PUT "https://api.confident-ai.com/v1/projects/{projectId}" \
-H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Project Name",
"description": "Updated description"
}'{
"success": true,
"data": {
"project": {
"id": "PROJECT-ID",
"name": "Updated Project Name",
"description": "Updated description",
"organizationId": "ORGANIZATION-ID",
"created_at": "2024-12-04T23:00:00.000Z"
}
}
}Headers
CONFIDENT_API_KEYstringRequiredThe organization API key for your Confident AI organization.
Path parameters
projectIdstringRequiredThe unique identifier of the project to update.
Request body
namestringNew name for the project
descriptionstringNew description for the project
Response
successbooleanIndicates if the request was successful
dataobjectShow 1 propertyHide 1 property
projectobjectShow 6 propertiesHide 6 properties
idstringUnique identifier for the project
namestringName of the project
descriptionstringOptional description of the project
organizationIdstringID of the organization this project belongs to
created_atstringISO 8601 timestamp of when the project was created
governancePolicyobjectThe governance policy the project is enrolled in, or null if it is not enrolled.
Show 2 propertiesHide 2 properties
idstringThe unique identifier of the governance policy.
namestringThe name of the governance policy.